org.eclipse.jdt.ui.actions

## Class BuildActionGroup

- java.lang.Object
- - org.eclipse.ui.actions.ActionGroup
  - - org.eclipse.jdt.ui.actions.BuildActionGroup

    public class BuildActionGroup
    extends ActionGroup

Contributes all build related actions to the context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
Constructor and Description
`BuildActionGroup(IViewPart part)` Creates a new `BuildActionGroup`.
`BuildActionGroup(IWorkbenchSite site, ISelectionProvider specialSelectionProvider)` Creates a new `BuildActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fillActionBars(IActionBars actionBar)`
`void` `fillContextMenu(IMenuManager menu)`
`IAction` `getRefreshAction()` Returns the refresh action managed by this group.

### Methods inherited from class org.eclipse.ui.actions.ActionGroup

`getContext, setContext, updateActionBars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuildActionGroup

    public BuildActionGroup(IViewPart part)

Creates a new `BuildActionGroup`. The group requires that the selection provided by the view part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

#### BuildActionGroup

    public BuildActionGroup(IWorkbenchSite site,
                            ISelectionProvider specialSelectionProvider)

Creates a new `BuildActionGroup`. The group requires that the selection provided by the given selection provider is of type `IStructuredSelection`.

Parameters:
  `site` - the site that will own the action group.
  `specialSelectionProvider` - the selection provider used instead of the sites selection provider.
Since:
  3.4

### Method Detail

#### getRefreshAction

    public IAction getRefreshAction()

Returns the refresh action managed by this group.

Returns:
  the refresh action. If this group doesn't manage a refresh action `null` is returned

#### fillActionBars

    public void fillActionBars(IActionBars actionBar)

Overrides:
  `fillActionBars` in class `ActionGroup`

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

Overrides:
  `fillContextMenu` in class `ActionGroup`

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `ActionGroup`